{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.manalabs_scp.scp610.attack_control": {
			"initial_state": "init",
			"states": {
				"init": {
					"transitions": [
						{
							"default": "1.0"
						}
					]
				},
				"default": {
					"on_entry": ["variable.change_attack_delay = query.life_time + 0.1;", "v.other_attack_chance = math.random(0, 100);"],
					"transitions": [
						{
							"attack_swipe": "(variable.change_attack_delay < query.life_time) && (v.other_attack_chance < 40)"
						},
						{
							"attack_smash": "(variable.change_attack_delay < query.life_time) && (v.other_attack_chance < 80)"
						},
						{
							"attack_tentacles": "(variable.change_attack_delay < query.life_time) && (v.other_attack_chance < 100)"
						},
						{
							"init": "(variable.change_attack_delay < query.life_time)"
						}
					]
				},
				"attack_swipe": {
					"on_entry": ["@s attack_swipe", "variable.attack_swipe_duration = query.life_time + 2;"],
					"transitions": [
						{
							"default": "(variable.attack_swipe_duration < query.life_time)"
						}
					]
				},
				"attack_smash": {
					"on_entry": ["@s attack_smash", "variable.attack_smash_duration = query.life_time + 2;"],
					"animations": ["attack_smash"],
					"transitions": [
						{
							"default": "(variable.attack_smash_duration < query.life_time)"
						}
					]
				},
				"attack_tentacles": {
					"on_entry": ["@s attack_tentacles", "/effect @s slowness 3 10 true", "variable.attack_tentacles_duration = query.life_time + 2.5;"],
					"transitions": [
						{
							"default": "(variable.attack_tentacles_duration < query.life_time)"
						}
					]
				}
			}
		},
		"controller.animation.manalabs_scp.scp610.attack_smash": {
			"states": {
				"default": {
					"transitions": [
						{
							"attack_smash_knockback": "query.is_delayed_attacking"
						}
					]
				},
				"attack_smash_knockback": {
					"on_entry": ["/summon manalabs_scp:attack_smash_knockback ~ ~ ~ ~ ~"],
					"transitions": [
						{
							"default": "!query.is_delayed_attacking"
						}
					]
				}
			}
		},
		"controller.animation.manalabs_scp.scp610.spawn_controll": {
			"initial_state": "init",
			"states": {
				"init": {
					"transitions": [
						{
							"default": "1.0"
						}
					]
				},
				"default": {
					"on_entry": ["/execute if entity @e[type=manalabs_scp:scp610,rm=1,r=60] run event entity @s despawn"]
				}
			}
		}
	}
}